FastQStatus Class Reference

Status for FastQ operations. More...

`#include <FastQStatus.h>`

## Public Types

enum | Status { FASTQ_SUCCESS = 0, FASTQ_INVALID, FASTQ_ORDER_ERROR, FASTQ_OPEN_ERROR, FASTQ_CLOSE_ERROR, FASTQ_READ_ERROR, FASTQ_NO_SEQUENCE_ERROR }
| Return value enum for the FastQFile class methods, indicating success or error codes. More...

## Static Public Member Functions

static const char * | getStatusString (Status status)
| Get the enum string for the status.

## Detailed Description

Status for FastQ operations.

Definition at line 24 of file FastQStatus.h.

## Member Enumeration Documentation

## Status

enum FastQStatus::Status

Return value enum for the FastQFile class methods, indicating success or error codes.

Enumerator
FASTQ_SUCCESS | indicates method finished successfully.
FASTQ_INVALID | means that the sequence was invalid.
FASTQ_ORDER_ERROR | means the methods are called out of order, like trying to read a file before opening it.
FASTQ_OPEN_ERROR | means the file could not be opened.
FASTQ_CLOSE_ERROR | means the file could not be closed.
FASTQ_READ_ERROR | means that a problem occurred on a read.
FASTQ_NO_SEQUENCE_ERROR | means there were no errors, but no sequences read.

Definition at line 30 of file FastQStatus.h.

{
FASTQ_SUCCESS = 0, ///< indicates method finished successfully.
FASTQ_INVALID, ///< means that the sequence was invalid.
FASTQ_ORDER_ERROR, ///< means the methods are called out of order, like trying to read a file before opening it.
FASTQ_OPEN_ERROR, ///< means the file could not be opened.
FASTQ_CLOSE_ERROR, ///< means the file could not be closed.
FASTQ_READ_ERROR, ///< means that a problem occurred on a read.
FASTQ_NO_SEQUENCE_ERROR ///< means there were no errors, but no sequences read.
};

The documentation for this class was generated from the following files:

- fastq/FastQStatus.h
- fastq/FastQStatus.cpp

FastQStatus::FASTQ_CLOSE_ERROR
means the file could not be closed.
Definition: FastQStatus.h:36
FastQStatus::FASTQ_OPEN_ERROR
means the file could not be opened.
Definition: FastQStatus.h:35
FastQStatus::FASTQ_ORDER_ERROR
means the methods are called out of order, like trying to read a file before opening it.
Definition: FastQStatus.h:34
FastQStatus::FASTQ_READ_ERROR
means that a problem occurred on a read.
Definition: FastQStatus.h:37
FastQStatus::FASTQ_INVALID
means that the sequence was invalid.
Definition: FastQStatus.h:33
FastQStatus::FASTQ_SUCCESS
indicates method finished successfully.
Definition: FastQStatus.h:32
FastQStatus::FASTQ_NO_SEQUENCE_ERROR
means there were no errors, but no sequences read.
Definition: FastQStatus.h:38